Summary: Tools for managing a frame buffer's video mode properties.
Name: fbset
Version: 2.1
Release: 4
Copyright: GPL
Group: Applications/System
Source: http://www.cs.kuleuven.ac.be/~geert/bin/fbset-2.1.tar.gz
Patch: fbset-makefile.patch
BuildRoot: /var/tmp/%{name}-root

%description
Fbset is a utility for maintaining frame buffer resolutions.  Fbset
can change the video mode properties of a frame buffer device, and is
usually used to change the current video mode.

Install fbset if you need to manage frame buffer resolutions.

%prep
%setup -q
%patch -p1 -b .makefile

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
make install PREFIX=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/sbin/fbset
mkdir -p $RPM_BUILD_ROOT/etc
cp etc/fb.modes.ATI $RPM_BUILD_ROOT/etc/fb.modes
chmod 644 $RPM_BUILD_ROOT/usr/man/man[58]/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/*
/usr/man/man[58]/*
%config /etc/fb.modes

%changelog
* Tue Feb 15 2000 Bill Nottingham <notting@redhat.com>
- ship fb.modes everywhere

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- fix man page permissions

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix summary

* Thu Oct  7 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1
- don't include fb devs.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- include fb devs too (#1515)
- update to 19990118 version.

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.
- upgrade to 19981104.

* Thu Oct 29 1998 Jakub Jelinek <jj@ultra.linux.cz>
- new package
